type Sap::SIDConfigEntry = Hash[
  Enum[
    'components',
    'backend_databases',
    'exclude_common_mount_points',
    'pattern_map',
    'pattern_values',
    'instances',
    'databases',
    'primary_backend_db',
    'manage_profiles',
    'default_pfl_entries',
    'sec_info_rules',
    'reg_info_rules',
    'db2_query_schedules',
  ],
  Variant[
    Array[Sap::SapComponent],
    Array[Sap::BackendDatabase],
    Boolean,
    Hash[String, String],
    Hash[Sap::InstClassSap, Sap::SIDInstance],
    Hash[Sap::InstClassDb, Sap::SIDDatabase],
    Variant[Sap::InstClassDb, Enum['none']],
    Hash[String, String],
    Array[Sap::SecInfo],
    Array[Sap::RegInfo],
    Array[Sap::Db2QuerySchedule],
  ],
]
